Bug 192575 - Review Request: perl-Pipeline
Review Request: perl-Pipeline
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 192564 192571 192574
Blocks: FE-ACCEPT 192577
  Show dependency treegraph
 
Reported: 2006-05-20 17:34 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 20:07:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-20 17:34:04 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pipeline/perl-Pipeline.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Pipeline-3.12-1.src.rpm
Description:
Pipelines are a mechanism to process data. They are designed to be plugged
together to make fairly complex operations act in a fairly straightforward
manner, cleanly, and simply.
Comment 1 Jason Tibbitts 2006-05-24 23:05:59 EDT
Some notes from the test suite:

t/11async................Use of uninitialized value in numeric eq (==) at
/builddir/build/BUILD/Pipeline-3.12/blib/lib/Pipeline/Store.pm line 33 during
global destruction.
Unbalanced string table refcount: (1) for "debug" during global destruction.
Unbalanced string table refcount: (1) for "dispatcher" during global destruction.
Unbalanced string table refcount: (1) for "parent" during global destruction.
Unbalanced string table refcount: (1) for "store" during global destruction.
Scalars leaked: 1
ok

Not sure what's up here.

t/03colour...............skipped
        all skipped: - do not have Acme::Colour installed
t/98compile..............skipped
        all skipped: - do not have File::Find::Rule installed
t/99pod..................skipped
        all skipped: - do not have Find::File::Rule or Pod::Checker installed

All tests successful, 3 tests skipped.
Files=19, Tests=71,  1 wallclock secs ( 0.74 cusr +  0.20 csys =  0.94 CPU)

Acme::Colour isn't in extras, but the others are and adding them as BR:s gives
better coverage:

All tests successful, 1 test skipped.
Files=19, Tests=125,  2 wallclock secs ( 1.03 cusr +  0.27 csys =  1.30 CPU)

I don't think there's any need to package Acme::Colour just for this; it's kind
of, uhh, limited in scope anyway.  Since there's nothing else of issue with this
package, I'll go ahead and approve and you can add those when you check in.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   52cbc818aa18f7307dc00624741e5a73  Pipeline-3.12.tar.gz
   52cbc818aa18f7307dc00624741e5a73  Pipeline-3.12.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane; the duplicate requires come from
unversioned dependencies that rpm picks up automatically.
   perl(Pipeline) = 3.12
   perl(Pipeline::Analyser) = 3.12
   perl(Pipeline::Base) = 3.12
   perl(Pipeline::Dispatch) = 3.12
   perl(Pipeline::Dumper) = 3.12
   perl(Pipeline::Error::Abstract) = 3.12
   perl(Pipeline::Error::AsyncResults) = 3.12
   perl(Pipeline::Error::Construction) = 3.12
   perl(Pipeline::Production) = 3.12
   perl(Pipeline::Segment) = 3.12
   perl(Pipeline::Segment::Async) = 3.12
   perl(Pipeline::Segment::Async::Fork) = 3.12
   perl(Pipeline::Segment::Async::Handler) = 3.12
   perl(Pipeline::Segment::Async::IThreads) = 3.12
   perl(Pipeline::Segment::Tester) = 3.12
   perl(Pipeline::Store) = 3.12
   perl(Pipeline::Store::ISA) = 3.12
   perl(Pipeline::Store::Simple) = 3.12
   perl-Pipeline = 3.12-1.fc6
  -
   perl(:MODULE_COMPAT_5.8.8)
   perl(Class::ISA)
   perl(Config)
   perl(Data::Structure::Util) >= 0.04
   perl(Data::UUID)
   perl(Data::UUID) >= 0.01
   perl(Error)
   perl(Error) >= 0.15
   perl(IO::Handle)
   perl(IO::Null) >= 0.01
   perl(IO::String) >= 0.01
   perl(Pipeline)
   perl(Pipeline::Base)
   perl(Pipeline::Dispatch)
   perl(Pipeline::Error::Abstract)
   perl(Pipeline::Error::AsyncResults)
   perl(Pipeline::Error::Construction)
   perl(Pipeline::Segment)
   perl(Pipeline::Segment::Async::Fork)
   perl(Pipeline::Segment::Async::Handler)
   perl(Pipeline::Segment::Async::IThreads)
   perl(Pipeline::Store)
   perl(Pipeline::Store::Simple)
   perl(Scalar::Util)
   perl(base)
   perl(strict)
   perl(warnings)
   perl(warnings::register)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass (after adding the two BR:s above):
   All tests successful, 1 test skipped.
   Files=19, Tests=125,  2 wallclock secs ( 1.03 cusr +  0.27 csys =  1.30 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-25 14:46:26 EDT
(In reply to comment #1)
> Some notes from the test suite:
> 
> t/11async................Use of uninitialized value in numeric eq (==) at
> /builddir/build/BUILD/Pipeline-3.12/blib/lib/Pipeline/Store.pm line 33 during
> global destruction.
> Unbalanced string table refcount: (1) for "debug" during global destruction.
> Unbalanced string table refcount: (1) for "dispatcher" during global destruction.
> Unbalanced string table refcount: (1) for "parent" during global destruction.
> Unbalanced string table refcount: (1) for "store" during global destruction.
> Scalars leaked: 1
> ok
> 
> Not sure what's up here.

I opened a ticket for this.  http://rt.cpan.org/Ticket/Display.html?id=19481

> t/98compile..............skipped
>         all skipped: - do not have File::Find::Rule installed
> t/99pod..................skipped
>         all skipped: - do not have Find::File::Rule or Pod::Checker installed
[...]
> Acme::Colour isn't in extras, but the others are and adding them as BR:s gives
> better coverage:

Pod::Checker is a core module, so I just needed to add File::Find::Rule.

Fixed in -2, in CVS.

> t/03colour...............skipped
>         all skipped: - do not have Acme::Colour installed
[...]
> I don't think there's any need to package Acme::Colour just for this; it's kind
> of, uhh, limited in scope anyway.

Agreed.  Anything in the Acme namespace is probably of dubious value.
Comment 3 Steven Pritchard 2006-05-29 20:07:23 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.